HomeGuidesAPI Reference
API Reference

Create Partner

Create new Partner, ACCESS LEVEL: SUPER_ADMIN, PARTNER

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint allows you to create a new partner.

Endpoint

POST https://demo-api.edfapay.com/api/v1/partner

Content-Type: application/json


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Request Parameters

FieldTypeRequiredDescription
logoObjectOptionalLogo file details.
nameStringYesPartner name in English.
nameARStringYesPartner name in Arabic.
emailAddressStringYesPartner email address.
registeredMobileNumberStringYesPartner mobile number (including country code).
addressStringOptionalPartner address.
domainStringYesPartner Portal domain.
activeBooleanYesIndicates whether the partner is active.
feeProfileIdIntegerYesIdentifier of the associated fee profile.

Logo Object

FieldTypeDescription
fileSizeIntegerSize of the file in bytes.
fileUrlStringPublic URL of the logo file.
fileNameStringName of the uploaded file.
📘

Where to find feeProfileId

From the Edfapay Dashboard: Navigate to the Payout section, then open the Fee Profile page, and locate the feeProfileId under the Id column.


Example Request

curl --location 'https://demo-api.edfapay.com/api/v1/partner' \
--header 'X-API-KEY: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
        "name": "Partner Name",
        "nameAR": "بارتنر",
        "emailAddress": "[email protected]",
        "registeredMobileNumber": "+0-619471208697",
        "domain": "www.google.com",
        "active": true,
        "feeProfileId": 1
}'

Example Responses

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": {
        "code": 200,
        "message": "Success",
        "errorCode": null,
        "data": {
            "createdBy": "[email protected]",
            "createdTimestamp": "2026-04-21T00:14:28.051183404Z",
            "updatedBy": null,
            "updatedTimestamp": "2026-04-21T00:14:28.051058644Z",
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "name": "Partner Name",
            "nameAR": "بارتنر",
            "address": null,
            "status": "ACTIVE",
            "logo": null,
            "deleted": false,
            "emailAddress": "[email protected]",
            "registeredMobileNumber": "+0-619471208697",
            "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "active": true,
            "domain": "google.com",
            "feeProfileId": 1
        }
    }
}
{
    "code": 400,
    "message": "Email [[email protected]] is already in use",
    "errorCode": "400",
    "data": null
}

🚧

Important Notes

name, emailAddress, and registeredMobileNumber must be unique and must not have been used previously.

Body Params
uuid
string
string
required
string
required
string
required
string
required
^\+?[0-9]{10,15}$
string
boolean
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*